### Hierarchy

- unknown
  - SealedAndSigned

## Index

### Constructors

- constructor

### Methods

- getEncryptedPayloadWithHmac
- getEncryptedPayloadWithHmac_asB64
- getEncryptedPayloadWithHmac_asU8
- getEncryptedSecretKey
- getEncryptedSecretKey_asB64
- getEncryptedSecretKey_asU8
- getSigPublicKeyBytes
- getSigPublicKeyBytes_asB64
- getSigPublicKeyBytes_asU8
- getSignature
- getSignature_asB64
- getSignature_asU8
- serializeBinary
- setEncryptedPayloadWithHmac
- setEncryptedSecretKey
- setSigPublicKeyBytes
- setSignature
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SealedAndSigned(): SealedAndSigned

- Inherited from jspb.Message.constructor

  #### Returns SealedAndSigned

## Methods

### getEncryptedPayloadWithHmac

- getEncryptedPayloadWithHmac(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2369

  #### Returns string | Uint8Array

### getEncryptedPayloadWithHmac_asB64

- getEncryptedPayloadWithHmac_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:2371

  #### Returns string

### getEncryptedPayloadWithHmac_asU8

- getEncryptedPayloadWithHmac_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2370

  #### Returns Uint8Array

### getEncryptedSecretKey

- getEncryptedSecretKey(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2364

  #### Returns string | Uint8Array

### getEncryptedSecretKey_asB64

- getEncryptedSecretKey_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:2366

  #### Returns string

### getEncryptedSecretKey_asU8

- getEncryptedSecretKey_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2365

  #### Returns Uint8Array

### getSigPublicKeyBytes

- getSigPublicKeyBytes(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2379

  #### Returns string | Uint8Array

### getSigPublicKeyBytes_asB64

- getSigPublicKeyBytes_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:2381

  #### Returns string

### getSigPublicKeyBytes_asU8

- getSigPublicKeyBytes_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2380

  #### Returns Uint8Array

### getSignature

- getSignature(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2374

  #### Returns string | Uint8Array

### getSignature_asB64

- getSignature_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:2376

  #### Returns string

### getSignature_asU8

- getSignature_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2375

  #### Returns Uint8Array

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2384

  #### Returns Uint8Array

### setEncryptedPayloadWithHmac

- setEncryptedPayloadWithHmac(value: string | Uint8Array): SealedAndSigned

- - Defined in src/protobuf/pb_pb.d.ts:2372

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SealedAndSigned

### setEncryptedSecretKey

- setEncryptedSecretKey(value: string | Uint8Array): SealedAndSigned

- - Defined in src/protobuf/pb_pb.d.ts:2367

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SealedAndSigned

### setSigPublicKeyBytes

- setSigPublicKeyBytes(value: string | Uint8Array): SealedAndSigned

- - Defined in src/protobuf/pb_pb.d.ts:2382

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SealedAndSigned

### setSignature

- setSignature(value: string | Uint8Array): SealedAndSigned

- - Defined in src/protobuf/pb_pb.d.ts:2377

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SealedAndSigned

### toObject

- toObject(includeInstance?: boolean): SealedAndSigned . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2385

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SealedAndSigned . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SealedAndSigned

- - Defined in src/protobuf/pb_pb.d.ts:2388

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SealedAndSigned

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SealedAndSigned, reader: BinaryReader): SealedAndSigned

- - Defined in src/protobuf/pb_pb.d.ts:2389

  #### Parameters

  - ##### message: SealedAndSigned

  - ##### reader: BinaryReader

  #### Returns SealedAndSigned

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SealedAndSigned, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2387

  #### Parameters

  - ##### message: SealedAndSigned

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SealedAndSigned ): SealedAndSigned . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2386

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SealedAndSigned

  #### Returns SealedAndSigned . AsObject

Generated using TypeDoc